psimi25Experiment-class {RpsiXML} | R Documentation

## Class "psimi25Experiment"

### Description

Representing an experiment recorded in PSI-MI 2.5 XML files

### Objects from the Class

Objects can be created by calls of the form `parseExperiment`

### Slots

`sourceDb`:
  Object of class `"character"`, source database short label
`expSourceId`:
  Object of class `"character"`, experiment ID of the source database
`interactionType`:
  Object of class `"character"`, interaction type, "Y2H","vv", etc
`expPubMed`:
  Object of class `"character"`, PubMed ID of the experiment

### Methods

No methods defined with class "psimi25Experiment" in the signature.

### Author(s)

Jitao David Zhang <j.zhang@dkfz.de>, Tony Chiang <tchiang@ebi.ac.uk>

### See Also

`parseExperiment`

### Examples

    showClass("psimi25Experiment")

[Package RpsiXML version 1.0.0 Index]